import { Mode } from "@canvas-js/okra";
import { Tree as MemoryTree } from "@canvas-js/okra-memory";
import { ModelDB } from "@canvas-js/modeldb-sqlite-expo";
import { AbstractGossipLog } from "../AbstractGossipLog.js";
export class GossipLog extends AbstractGossipLog {
    db;
    tree;
    constructor({ directory = null, ...init }) {
        super(init);
        // if (directory === null) {
        this.tree = new MemoryTree({ mode: Mode.Index });
        this.db = new ModelDB({
            path: null,
            models: { ...init.schema, ...AbstractGossipLog.schema },
            clear: init.clear,
        });
        // } else {
        // 	if (!fs.existsSync(directory)) {
        // 		fs.mkdirSync(directory, { recursive: true })
        // 	}
        // 	const tree = new PersistentTree(`${directory}/message-index`, {
        // 		mode: Mode.Index,
        // 		mapSize: 0xffffffff,
        // 	})
        // 	this.tree = tree
        // 	this.db = new ModelDB({
        // 		path: `${directory}/db.sqlite`,
        // 		models: { ...init.schema, ...AbstractGossipLog.schema },
        // 	})
        // }
    }
    async rebuildMerkleIndex() {
        if (this.tree instanceof MemoryTree) {
            // ...
        }
    }
}
