import { Uint8ArrayList } from "uint8arraylist";
import { Event } from "@canvas-js/gossiplog/protocols/events";
export declare const cborNull: Uint8Array;
export declare const gossiplogTopicPattern: RegExp;
/** Logarithmic clock decay */
export declare function getAncestorClocks(clock: number): Iterable<number>;
export declare const formatTopic: (topic: string) => string;
export declare const getSyncProtocol: (topic: string) => string;
export declare const getPushProtocol: (topic: string) => string;
export declare function chunk(iter: AsyncIterable<Uint8ArrayList | Uint8Array>): AsyncGenerator<Uint8Array, void, unknown>;
export declare function decodeEvents(source: AsyncIterable<Uint8Array | Uint8ArrayList>): AsyncGenerator<Event, void, unknown>;
export declare function encodeEvents(source: AsyncIterable<Event>): AsyncGenerator<Uint8Array, void, unknown>;
